classification
Title: update vendored expat to 2.2.5
Type: Stage: resolved
Components: Extension Modules, XML Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington
Priority: normal Keywords: patch

Created on 2018-06-25 16:41 by benjamin.peterson, last changed 2018-06-27 03:57 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7925 merged benjamin.peterson, 2018-06-26 03:44
PR 7941 merged miss-islington, 2018-06-27 02:27
PR 7942 merged miss-islington, 2018-06-27 02:28
PR 7943 merged benjamin.peterson, 2018-06-27 02:32
Messages (5)
msg320428 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-25 16:41
https://github.com/libexpat/libexpat/releases/tag/R_2_2_5

Release 2.2.5 Tue October 31 2017
        Bug fixes:
              #8  If the parser runs out of memory, make sure its internal
                    state reflects the memory it actually has, not the memory
                    it wanted to have.
             #11  The default handler wasn't being called when it should for
                    a SYSTEM or PUBLIC doctype if an entity declaration handler
                    was registered.
       #137 #138  Fix a case of mistakenly reported parsing success where
                    XML_StopParser was called from an element handler
            #162  Function XML_ErrorString was returning NULL rather than
                    a message for code XML_ERROR_INVALID_ARGUMENT
                    introduced with release 2.2.1

        Other changes:
            #106  xmlwf: Add argument -N adding notation declarations
        #75 #106  Test suite: Resolve expected failure cases where xmlwf
                    output was incomplete
            #127  Windows: Fix test suite compilation
       #126 #127  Windows: Fix compilation for Visual Studio 2012
        #33 #132  tests: Mass-fix compilation for XML_UNICODE_WCHAR_T
            #129  examples: Fix compilation for XML_UNICODE_WCHAR_T
            #130  benchmark: Fix compilation for XML_UNICODE_WCHAR_T
            #144  xmlwf: Fix compilation for XML_UNICODE_WCHAR_T; still needs
                    Windows or MinGW for 2-byte wchar_t
              #9  Address two Clang Static Analyzer false positives
             #59  Resolve troublesome macros hiding parser struct membership
                    and dereferencing that pointer
              #6  Resolve superfluous internal malloc/realloc switch
       #153 #155  Improve docbook2x-man detection
            #160  Undefine NDEBUG in the test suite (rather than rejecting it)
            #161  Address compiler warnings
Version info bumped from 7:6:6 to 7:7:6
msg320532 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-27 02:25
New changeset 4e21100fa7bf66e0b32146d3f46ae16afc73fee1 by Benjamin Peterson in branch 'master':
bpo-33956: update vendored expat to 2.2.5 (GH-7925)
https://github.com/python/cpython/commit/4e21100fa7bf66e0b32146d3f46ae16afc73fee1
msg320534 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 02:44
New changeset fb17b81fc90cb8f64fcffbada2cadb6736f6d7fd by Miss Islington (bot) in branch '3.7':
bpo-33956: update vendored expat to 2.2.5 (GH-7925)
https://github.com/python/cpython/commit/fb17b81fc90cb8f64fcffbada2cadb6736f6d7fd
msg320535 - (view) Author: miss-islington (miss-islington) Date: 2018-06-27 02:48
New changeset 5dc3f23b5fb0b510926012cb3732dae63cddea60 by Miss Islington (bot) in branch '3.6':
bpo-33956: update vendored expat to 2.2.5 (GH-7925)
https://github.com/python/cpython/commit/5dc3f23b5fb0b510926012cb3732dae63cddea60
msg320540 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-27 03:57
New changeset 468f97b4640e69b237a707a0ef9152d1c023f701 by Benjamin Peterson in branch '2.7':
[2.7] closes bpo-33956: update vendored expat to 2.2.5 (GH-7925)
https://github.com/python/cpython/commit/468f97b4640e69b237a707a0ef9152d1c023f701
History
Date User Action Args
2018-06-27 03:57:01benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg320540

stage: patch review -> resolved
2018-06-27 02:48:20miss-islingtonsetmessages: + msg320535
2018-06-27 02:44:35miss-islingtonsetnosy: + miss-islington
messages: + msg320534
2018-06-27 02:32:16benjamin.petersonsetpull_requests: + pull_request7552
2018-06-27 02:28:55miss-islingtonsetpull_requests: + pull_request7551
2018-06-27 02:27:06miss-islingtonsetpull_requests: + pull_request7550
2018-06-27 02:25:52benjamin.petersonsetmessages: + msg320532
2018-06-26 03:44:08benjamin.petersonsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request7533
2018-06-25 16:41:47benjamin.petersoncreate